Get live stock and ETF quotes
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.finance.quote({ symbols: ["AAPL", "MSFT", "NVDA"] });
console.log(result.data.quotes);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.finance.quote(symbols=["AAPL", "MSFT", "NVDA"])
print(result["data"]["quotes"])
curl -X POST https://api.stophy.dev/v1/finance/quote \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"symbols":["AAPL","MSFT","NVDA"]}'
stophy finance quote --symbols AAPL,MSFT,NVDA
{
"success": true,
"data": {
"quotes": [
{
"symbol": "example",
"name": "Example title",
"type": "example",
"exchange": "example",
"currency": "USD",
"marketState": "example",
"price": 19.99,
"change": 1,
"changePercent": 1,
"open": 1,
"high": 1,
"low": 1,
"previousClose": 1,
"volume": 1,
"averageVolume": 1,
"marketCap": 1,
"fiftyTwoWeekHigh": 1,
"fiftyTwoWeekLow": 1,
"peRatio": 1,
"forwardPeRatio": 1,
"earningsPerShare": 1,
"dividendYield": 1,
"preMarketPrice": 19.99,
"postMarketPrice": 19.99,
"updatedAt": "2026-09-28T12:00:00.000Z"
}
]
},
"creditsUsed": 1,
"requestId": "c09a315a-34a3-432b-9f1f-a5da10bf48c5"
}
Endpoints
More ways to call it
Get coin prices, market caps and volume
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.crypto.coins({ limit: 100 });
console.log(result.data.coins);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.crypto.coins(limit=100)
print(result["data"]["coins"])
curl -X POST https://api.stophy.dev/v1/crypto/coins \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"limit":100}'
stophy crypto coins --limit 100
Get trending coins, categories and NFTs
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.crypto.trending({});
console.log(result.data.coins);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.crypto.trending()
print(result["data"]["coins"])
curl -X POST https://api.stophy.dev/v1/crypto/trending \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{}'
stophy crypto trending
Stock quotes accept several tickers in one call. Coin prices accept several coin ids.